package de.renew.gui.fs;

import java.awt.Color;
import java.awt.Graphics;

class FilledRectSubFigure extends RectSubFigure {
    FilledRectSubFigure(int x, int y, int width, int height) {
        super(x, y, width, height);
    }

    @Override
    public void draw(Graphics g) {
        Color penCol = g.getColor();
        g.setColor(Color.white);
        g.fillRect(_x, _y, _width, _height);
        g.setColor(penCol);
        super.draw(g);
    }
}
